#include "RGBLED.h"

const int redPin = 9;
const int greenPin = 5;
const int bluePin = 6;

RGBLED::RGBLED(){
    pinMode(redPin, OUTPUT);
	pinMode(greenPin, OUTPUT);
    pinMode(bluePin, OUTPUT);
}

void RGBLED::rgb(int redvalue, int greenvalue, int bluevalue){
    analogWrite(redPin, 255-redvalue);
	analogWrite(greenPin, 255-greenvalue);
	analogWrite(bluePin, 255-bluevalue);
}

void RGBLED::color(int col){
    if(col==0)
	{
	  digitalWrite(redPin, 0);
	  digitalWrite(greenPin, 0);
	  digitalWrite(bluePin, 0);
	}
	
	if(col==1)
	{
	  digitalWrite(redPin, 1);
	  digitalWrite(greenPin, 1);
	  digitalWrite(bluePin, 1);
	}
	    
    if(col==2)
	{
	  digitalWrite(redPin, 0);
	  digitalWrite(greenPin, 1);
	  digitalWrite(bluePin, 1);
	}   
	
	if(col==3)
	{
	  digitalWrite(redPin, 0);
	  digitalWrite(greenPin, 0);
	  digitalWrite(bluePin, 1);
	}
	
	if(col==4)
	{
	  digitalWrite(redPin, 1);
	  digitalWrite(greenPin, 0);
	  digitalWrite(bluePin, 1);
	}

    if(col==5)
	{
	  digitalWrite(redPin, 1);
	  digitalWrite(greenPin, 0);
	  digitalWrite(bluePin, 0);
	}
	
	if(col==6)
	{
	  digitalWrite(redPin, 1);
	  digitalWrite(greenPin, 1);
	  digitalWrite(bluePin, 0);
	}

    if(col==7)
	{
	  digitalWrite(redPin, 0);
	  digitalWrite(greenPin, 1);
	  digitalWrite(bluePin, 0);
	}
}